[openwrt/openwrt] mac80211: change default ifname to <phy>-<type><index>
LEDE Commits
lede-commits at lists.infradead.org
Fri Oct 14 04:18:58 PDT 2022
nbd pushed a commit to openwrt/openwrt.git, branch master:
https://git.openwrt.org/6603748e0ca697f484adfc16a0d49d35ed36954d
commit 6603748e0ca697f484adfc16a0d49d35ed36954d
Author: Felix Fietkau <nbd at nbd.name>
AuthorDate: Fri Sep 23 14:12:32 2022 +0200
mac80211: change default ifname to <phy>-<type><index>
This makes it clear, which phy a wlan device belongs to and also helps with
telling them apart by including the mode in the ifname.
Preparation for automatically renaming PHYs
Signed-off-by: Felix Fietkau <nbd at nbd.name>
---
.../mac80211/files/lib/netifd/wireless/mac80211.sh | 19 +++++++++++++++++--
1 file changed, 17 insertions(+), 2 deletions(-)
diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index e6f326c2e6..e05a5b8fee 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -667,13 +667,28 @@ mac80211_iw_interface_add() {
return $rc
}
+mac80211_set_ifname() {
+ local phy="$1"
+ local prefix="$2"
+ eval "ifname=\"$phy-$prefix\${idx_$prefix:-0}\"; idx_$prefix=\$((\${idx_$prefix:-0 } + 1))"
+}
+
mac80211_prepare_vif() {
json_select config
json_get_vars ifname mode ssid wds powersave macaddr enable wpa_psk_file vlan_file
- [ -n "$ifname" ] || ifname="wlan${phy#phy}${if_idx:+-$if_idx}"
- if_idx=$((${if_idx:-0} + 1))
+ [ -n "$ifname" ] || {
+ local prefix;
+
+ case "$mode" in
+ ap|sta|mesh) prefix=$mode;;
+ adhoc) prefix=ibss;;
+ monitor) prefix=mon;;
+ esac
+
+ mac80211_set_ifname "$phy" "$prefix"
+ }
set_default wds 0
set_default powersave 0
More information about the lede-commits
mailing list